MAC_OS_X_VERSION_MIN_REQUIRED redefined?

MAC_OS_X_VERSION_MIN_REQUIRED redefined?

Post by Bint » Wed, 07 Sep 2005 06:55:42


Hello,

I am trying to set MAC_OS_X_VERSION_MIN_REQUIRED in my app, like so:

#define MAC_OS_X_VERSION_MIN_REQUIRED MAC_OS_X_VERSION_10_3

However, CW is giving me an error, saying

Error : macro 'MAC_OS_X_VERSION_MIN_REQUIRED' redefined

Error : (location of previous definition)
#define MAC_OS_X_VERSION_MIN_REQUIRED MAC_OS_X_VERSION_10_1



How can I define this so that I don't get an error? I tried putting in my
Preprocessor panel text, but that also gave me an error.

Thanks!
Bint
 
 
 

MAC_OS_X_VERSION_MIN_REQUIRED redefined?

Post by Sean McBri » Wed, 07 Sep 2005 11:42:19

In article <BF4228BF.121BD% XXXX@XXXXX.COM >, Bint < XXXX@XXXXX.COM >



Well, you could always use #undef as a workaround.

 
 
 

MAC_OS_X_VERSION_MIN_REQUIRED redefined?

Post by Bint » Thu, 08 Sep 2005 00:19:06

On 9/5/05 9:42 PM, in article XXXX@XXXXX.COM ,




Really? I didn't know about that.
B
 
 
 

MAC_OS_X_VERSION_MIN_REQUIRED redefined?

Post by Ben Arti » Thu, 08 Sep 2005 04:17:00


You need to put your macro before the OS default, which means that it needs to
go into C/C++ preprocessor settings of your target, not in your source.

hth

Ben

--
If this message helped you, consider buying an item
from my wish list: < http://www.yqcomputer.com/ ;

I changed my name: < http://www.yqcomputer.com/ ;